Batch update tokens
Batch-update tokens. ids is an int array; only fields listed in update_fields are applied.
PUT
/api/token/batchBody Parametersapplication/json
allow_ips string
IP allowlist
expired_time integer
Expiration time (Unix timestamp)
group string
User group
ids* array
Token IDs to update
items integer integer
mj_custom_proxy string
Midjourney custom proxy
mj_image_mode string
Midjourney image mode
model_limits string
Model limit configuration
model_limits_enabled boolean
Whether model limits are enabled
remain_quota integer
Remaining quota
routing_priority string
Routing priority
unlimited_quota boolean
Whether quota is unlimited
update_fields* array
Field names to update
items string string
Responses
200 Success; data is the update count application/json
response-200
allOf ApiEnvelope object
properties data
Data payload (often Base64 or a structured object)
message string
Message
success boolean
Whether the call succeeded
object object
properties data integer
Data payload (often Base64 or a structured object)
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"expired_time": -1,
3"group": "default",
4"ids": [
51,
62
7],
8"update_fields": [
9"group",
10"expired_time"
11]
12}
1curl -X PUT "https://api.digislash.com/api/token/batch" \
2-H "Content-Type: application/json" \
3-d '{
4"expired_time": -1,
5"group": "default",
6"ids": [
71,
82
9],
10"update_fields": [
11"group",
12"expired_time"
13]
14}'
1▼{
2"data": 0,
3"message": "string",
4"success": true
5}
